<p align="center"><img src="https://i.imgur.com/DPUqxOG.png" alt="Horse"></p>
<p align="center"><img src="https://i.imgur.com/wRpO0Ra.png" alt="Horse"></p>
<p align="center"><img src="https://i.imgur.com/neXUrtP.png" alt="Horse"></p>
<p align="center"><img src="https://i.imgur.com/GFnFsU3.png" alt="Horse"></p>
<p align="center"><img src="https://i.imgur.com/ABk0H3n.png" alt="Horse"></p>

# OdinPlus Mod Team Presents: Campsite
**Produced by: Raelaziel#0954 with idea of MagicarpSushi**

## About Campsite

You're tired of building temporary bases around the globe, cutting all around trees to make proper defense to build anything stable in biomes like Black Forest, Mountains or Plains? This will be perfect solution for you. Campsite was designed to safety sleep and relax without worrying about monsters around, roof or rainy weather - Each camp got own small No Monster Area so monsters can't just enter because of Waystone protection.

Campsite is just simple mod for additional pieces thanks to which you can travel safe and save time to build temporary bases. Become the real adventurer!

In case of anything: You're using this mod on your responsibility, make sure you did backup of your character/world.

## News & Important info.

If you are interested in cooperation, create your own objects that you would like to see in the game, have any ideas or questions, or even make Your own mods then join our OdinPlus Discord Channel, if you want to chat with our team, find us on:
https://discord.gg/mbkPcvu9ax

# You like my mods? ❤️Donate me.
Your donation will help me alot! Thank you!<br>
https://www.paypal.com/paypalme/raelaziel<br>

## Custom Piece - Campsite

### Short info.

- This mod includes Survival Sleeping Bag and 2 alternatives of tents for campsites, regular and big one
- Each Campsite can be builded without Workbench
- Each Campsite got requirement of "Campsite Resources"
- You don't need Workbench to prepare "Campsite Resources"
- Everything here is configurable for Your own needs

<b>To achieve the recipe pickup this materials: Wood, Stone, Deer hide, Coal</b>

### Pieces and items

- rae_SleepingBag - sleeping bag which you can place under open sky or in tents
- rae_Campsite_MiniPit - Mini campfire for small tent
- rae_Campsite - Regular campsite piece
- rae_CampsiteBig - Big campsite piece
- rae_CampsiteResources - custom material / requirement item

## Installation (how-to)

Place the files to your /BepInEx/plugins/ folder.
You can setup folder OdinHorse should be placed into /BepInEx/plugins/

### Dependencies

This mod isn't standalone, to make it work properly you will need some other mods or tools called dependencies so make sure that everything is installed as it should. To make it work properly you need 1 hard dependency.

* BepInEx Valheim

## Configuration 

Mod have Server-Sync implemented and there's possibility to modify basic values.

## Greetings

* Blaxxun and Azumatt for Piece and Item Managers
* Zarboz and GraveBear for OdinPlus Team and channel and help with everything
* MagiccarpSushi for idea
* Krumpac for everything else

## Contact

via Discord channel of OdinPlus or - Raelaziel#0954

# Changelog

### 1.4.1
- Fixed problems with configs not being properly described
- Reduced mod size ~ Thanks GraveBear for tips
- Changed sleeping bag model to reduce mod size, as above
- Added Spanish localization ~ Thanks ErDu!

### 1.4.0
- Mod was secured with KeyManager. Need to be tested on Dedicated server
- Recompiled with latest game version
- Updated LocalizationManager
- Updated ItemManager
- New configuration options thanks to the latest ItemManager
- Updated PieceManager
- Cleared project ~ thanks Blaxx

- Fixed problem with big tent again.

### 1.3.6
- Fixed NRE when destroying big tent.

### 1.3.5
- Updated SeverSync
- Added Vulcan Support

### 1.2.0
- Updated SeverSync
- Fixed Sleeping Bag issue with sleeping everywhere
- Fixed shaders for tents. Rain and snow is not going through them anymore
- Added configuration for terrain modifier to declare if terrain should be flatten itself when setting up the tent or not, simple true and false. true is as default.
- Fixed requirements for tents. Should no more require an workbench, if it's still the same then delete your old .cfg file.
- Added mini-fireplace, which will boost your comfort. Is smokeless, so can be placed in small tent also.
- Added localization. Default localization file is called `OdinCampsite.English.yml`.

### 1.1.0
- Disabled protection area to avoid using mod as exploit for bosses and more (non public version)
- Added Sleeping Bag and Mini-campfire

### 1.0.0
- Release

<p align="center"><h2>For Questions or Comments find Raelaziel in the Odin Plus Team on Discord:</h2></p>
<p align="center"><a href="https://discord.gg/mbkPcvu9ax"><img src="https://i.imgur.com/Ji3u63C.png"></a></p>